<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_32155ccb342f199043093041c1b3bb" . "57" => base64_decode("ZnJvbV9mb2xkZXJfaW" . "Q="), "_d0845bff5cd0ddb5ed1d7bd9d" . "b996f51" => base64_decode("c29" . "1cm" . "Nl"), "_4c760fb02a" . "49c55509ba0" . "87b84fbda45" => base64_decode("ZHJ" . "hZn" . "Q="), "_2e858fb1973" . "337f53ff85c1" . "04fcb38f4" => base64_decode("cHVibGlz" . "aGVk"), "_939c6a45ff74323dbef487ed15" . "753a7c" => base64_decode("c3RhdGU" . "="), "_80e7ee43fdf838101a2303a" . "7b4a50efc" => base64_decode("dG9fZm9sZG" . "VyX2lk"), "ty" . "pe" => base64_decode("dHl" . "wZQ" . "=="));
use Claromentis\Core\Event\GenericEvent;


class AddDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_939c6a45ff74323dbef487ed15" . "753a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_939c6a45f" . "f74323dbef" . "487ed15753" . "a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_4c760fb02a49c55509ba087b84fbda4" . "5"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_2e858fb1973337f53ff85c104fcb38" . "f4"];
    }
    public function GetType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["t" . "y" . "p" . "e"]);
    }
    
    
    
    
    public function GetTypeName()
    {
        return \ERMSDocTypes::GetName($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["typ" . "e"]));
    }
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_d0845bf" . "f5cd0ddb" . "5ed1d7bd" . "9db996f5" . "1"]);
    }
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_32155ccb342f1990430" . "93041c1b3bb57"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_80e7ee43fdf838101a" . "2303a7b4a50efc"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}